Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.hyperic.util.config
Class ConfigSchema

    java.lang.Object
      net.hyperic.util.config.ConfigSchema

All Implemented Interfaces:
  java.io.Serializable

public class ConfigSchema
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`ConfigSchema()`
`ConfigSchema(ConfigOption[] options)` Construct a ConfigSchema based on the array of ConfigOptions provided.

Method Summary
`void` | `addOption(ConfigOption option)`
`void` | `addOptions(java.util.List options)`
`byte[]` | `encodeSchema()`
`static ConfigSchema` | `fromEncoding(byte[] encoding)`
`java.util.Map` | `getDefaultProperties()`
`ConfigOption` | `getOption(java.lang.String name)`
`java.lang.String[]` | `getOptionNames()`
`java.util.List` | `getOptions()`
`java.util.Map` | `getOptionsMap()`
`void` | `setDefault(java.lang.String prop, java.lang.String value)` Change the default value for a given property within the schema.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigSchema

    public ConfigSchema()

### ConfigSchema

    public ConfigSchema(ConfigOption[] options)

  Construct a ConfigSchema based on the array of ConfigOptions provided.

Parameters:
  `options` - An array of ConfigOptions to populate this schema with.

Method Detail

### getOptions

    public java.util.List getOptions()

### getOptionsMap

    public java.util.Map getOptionsMap()

  Returns:
    Map of getOptions() using ConfigOption.getName() for the keys

### getOption

    public ConfigOption getOption(java.lang.String name)

  Parameters:
    `name` - ConfigOption.getName() value
  Returns:
    ConfigOption that matches the name param

### getOptionNames

    public java.lang.String[] getOptionNames()

### getDefaultProperties

    public java.util.Map getDefaultProperties()

### addOption

    public void addOption(ConfigOption option)

### addOptions

    public void addOptions(java.util.List options)

### setDefault

    public void setDefault(java.lang.String prop,
                           java.lang.String value)

  Change the default value for a given property within the schema.

### encodeSchema

    public byte[] encodeSchema()
                        throws net.hyperic.util.config.EncodingException

  Throws:
    `net.hyperic.util.config.EncodingException`

### fromEncoding

    public static ConfigSchema fromEncoding(byte[] encoding)
                                     throws net.hyperic.util.config.EncodingException

  Throws:
    `net.hyperic.util.config.EncodingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.